package org.kasource.kaevent.example.methodresolving;

import org.kasource.kaevent.event.EventDispatcher;
import org.kasource.kaevent.event.dispatch.DefaultEventDispatcher;





/**
 * Example that demonstrates the usage of the "Keyword Switch" method resolver.
 * 
 * See the TemperatureChangeEventListener class.
 * 
 * @author wigforss
 **/
//CHECKSTYLE:OFF
///CLOVER:OFF
public class ExampleRunner {
	public static void main(String[] args) {
	    
		Thermometer thermometer = new Thermometer();
		EventDispatcher eventDispatcher = 
		    new DefaultEventDispatcher(ExampleRunner.class.getPackage().getName().replace('.', '/')
		                + "/methodresolving-config.xml");
		
		Cooler cooler = new Cooler();
		Heater heater = new Heater();
		thermometer.setEventDispatcher(eventDispatcher);
		thermometer.setCooler(cooler);
		thermometer.setHeater(heater);
		thermometer.registerListers();
		new Thread(thermometer).start();
	}
}
